#ifndef DielectricECellGUARD
#define DielectricECellGUARD

#include "Cell.h"
// #include "Sourcable.h"

// The DielectricECell class implements the unit cell with no loss, with a permeability that of free space
// and a frequency independent isotropic permittivity
// The cell is also sourcable, meaning one can add electric and magnetic currents to it

class DielectricECell: public Cell{
public:
	// Constructor method
	// epsr is the relative permittivity of the cell
	DielectricECell(double epsr);

	// Field update equations for the class
	void updateEFields();
	void updateHFields();

	// Electric and Magnetic Current Source Functions
	void addJx(double Jx);
	void addJy(double Jy);
	void addJz(double Jz);
	void addMx(double Mx);
	void addMy(double My);
	void addMz(double Mz);
private:
	double EC, HC;	// Constants used in the update equations. E for electric, H for magnetic
};

#endif