function out = getEnhancementE(fileName,numOutputs,pointNumber,startIndex,endIndex,normE,checkLength)

if pointNumber > numOutputs || pointNumber < 1 || numOutputs < 1
    error('Inconsistent input values. Exiting...');
end

fid=fopen(fileName);
numSkipValues = (pointNumber - 1)*6; % Each output has 6 fields
% Go to the first set of valid ponts
% fread(fid,numSkipValues,'double');

% Does what the above line does in a faster manner hopefully. Skips
% numSkipValues*8 bytes. Note that each double is 8 bytes.
fseek(fid,numSkipValues*8,'bof');
% Allright, now read in blocks of 6 doubles, skipping all the other points
% in between.
% (numOutputs-1)*6*8 is the number of bytes in between, each double is 64
% bits = 8 bytes, that's the reason for the last 8.
[fields,count]=fread(fid,checkLength*6,'6*double',(numOutputs-1)*6*8);
fclose(fid);
if length(fields)~=checkLength*6
    error('Read error. Exiting...')
end
% Now we have all the fields for that specific point
fields=reshape(fields,6,[]);
% Throw away the H fields
fields=fields(1:3,:);
% Calculate the FFT on the second dimension
fieldFFT = abs(fft(fields,[],2));
% Throw away all the frequency components that are outside the domain of
% interest,calculate their square and sum
fieldFFT = fieldFFT(:,startIndex:endIndex).^2 ;
fieldFFT = sum(fieldFFT);
% Normalization
out = fieldFFT ./ normE;