% This function maps the PML cell indices to the cells within the real
% space. Corner and side PML cells can thus easily be linked to the correct
% real space cell.
function [x,y,z]=getParent(ii,jj,kk,NX,NY,NZ,noLayers)
lx=noLayers(1);
ly=noLayers(2);
lz=noLayers(3);

if sum(lx+1<=ii & ii<=NX+lx)~=0 && sum(ly+1<=jj & jj<=NY+ly)~=0 && sum(lz+1<=kk & kk<=NZ+lz)~=0
    error('Not in PML layer!');
end

x=getIndex(ii,NX,lx);
y=getIndex(jj,NY,ly);
z=getIndex(kk,NZ,lz);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function out=getIndex(ii,NX,d)
if length( ii( ii<1 | ii>NX+2*d ) ) ~= 0
    error('Index out of bounds!');
end

out=ii;
out( 1<=ii & ii<=d ) = d+1;
out( ii>=NX+d+1 & ii<=NX+2*d ) = NX+d;


% Above code does the following in a vectorized manner
% if (d+1<=ii && ii<=NX+d)
%     out=ii;
% elseif (1<=ii && ii<=d)
%     out=d+1;
% elseif (ii>=NX+d+1 && ii<=NX+2*d)
%     out=NX+d;
% else
%     error('Wrong index!');
%     out=0;
% end
% 
