% This function parses the properties of objects
% As new shape types are added, this function needs to be modified
% Implemented shapes and their properties are as follows

% shape = 'Block'
% materialIndex -> index of the material
% start -> Starting coordinates
% end  -> end coordinates


function out=parseObject(objString,material)


[token,rem] = strtok(objString);
materialName = token;

out.materialIndex=-1;
for ii=1:length(material)
    if strcmp(material{ii}.name,materialName)==1
        out.materialIndex=ii;
        break;
    end
end
if out.materialIndex <1
    error(sprintf('Material %s not defined!',materialName));
end


[token,rem] = strtok(rem);

if strcmp(token,'Block')==1
    out.shape = 'Block';
    params = str2num(rem);
    if length(params)~=6
        error('Wrong number of Block parameters!');
    end
    out.start = params(1:3);
    out.end = params(4:6);
else
    error(sprintf('Shape %s not known',token));
end
    