% This function parses the output definitions specified at the input file.
% Current output types are 
% "Block" -> Volume in space
% "point" -> Point in space
function out=parseOutputParams(objString)


[token,rem] = strtok(objString);
outputType = token;

if outputType =='Block'
    out.type = 'Block';
    params = str2num(rem);
    if mod(length(params),2)~=0 || length(params)>6
        error('Wrong number of Block parameters!');
    end
    out.start = params(1:length(params)/2);
    out.end = params(length(params)/2+1:length(params));
    
elseif outputType =='Point'
    out.type = 'Point';    
    params = str2num(rem);
    if length(params)>3
        error('Wrong number of Point parameters!');
    end
    out.point = params;    
else 
    error(sprintf('Output type %s not defined',outputType));
end
