OUTPUTFILENAME='antenna.out';

fid=fopen(OUTPUTFILENAME);
[output,count]=fread(fid,inf,'double');
fclose(fid);
output=reshape(output,6,2,[]);

figure;
subplot(3,1,1);
plot(squeeze(output(1,1,:)),'k');hold on;plot(squeeze(output(1,2,:)),'r')
title('Ex')
subplot(3,1,2);
plot(squeeze(output(5,1,:)),'k');hold on;plot(squeeze(output(5,2,:)),'r')
title('Hy')
subplot(3,1,3);
plot(source)
title('Source')

time = (0:length(source)-1)*delT;
sourceFreq = fft(source);
lambda = in.lambda*in.unitLength;
f0 = PC.c / lambda;


enList=load('enList.mat');
tranList=load('tranList.mat');
enList = enList.Expression1;
tranList = tranList.Expression2;

fs=1 / delT; %sampling Frequency
f=linspace(0,fs,length(time)); % the max frequency is fs/2 in fourier domain, and thus 2*pi corresponds to fs
en=f*PC.h/PC.q;
% Frequency domain
Ex = squeeze(output(1,2,:));
Hy = squeeze(output(5,2,:));
ExFreq = fft(Ex).';
HyFreq = fft(Hy).';

figure
plot(en,abs(ExFreq./(sourceFreq*sqrt(PC.mu0/PC.eps0))),'Linewidth',2)
hold on
plot(enList,tranList,'r.')
xlim([0.619921 1.0332])
ylim([0 0.1])
ylabel('Magnitude');
title(sprintf('Ex - %s',OUTPUTFILENAME));

figure
plot(en,abs(HyFreq./sourceFreq),'Linewidth',2)
hold on
plot(enList,tranList,'r.','Linewidth',2)
xlim([0.619921 1.0332])
ylim([0 0.1])
ylabel('Magnitude');
title(sprintf('Hx - %s',OUTPUTFILENAME));
