% stretches the map and color to be used in TF/SF calculations
% by adding 2*sx*sz copies of boundaries

function [mapOut,colorOut]=stretchXZ(sx,sz,mapIn,colorIn)

NX = size(mapIn,1);
NY = size(mapIn,2);
NZ = size(mapIn,3);

if NY~=1
    error('NY ~= 1. Exiting...');
end

mapOut = cell(NX+2*sx,1,NZ+2*sz);
colorOut = zeros(size(colorIn));

mapOut(sx+1:NX+sx,1,sz+1:NZ+sz)=mapIn;
colorOut(sx+1:NX+sx,1,sz+1:NZ+sz)=colorIn;

% Stretch in x
mapOut(1:sx,1,sz+1:NZ+sz)=repmat(mapIn(1,1,:),[sx 1 1]);
mapOut(NX+sx+1:NX+2*sx,1,sz+1:NZ+sz)=repmat(mapIn(NX,1,:),[sx 1 1]);
colorOut(1:sx,:,sz+1:NZ+sz)=repmat(colorIn(1,:,:),[sx 1 1]);
colorOut(NX+sx+1:NX+2*sx,1,sz+1:NZ+sz)=repmat(colorIn(NX,:,:),[sx 1 1]);

% Stretch in z
mapOut(1:NX+2*sx,1,1:sz)=repmat(mapOut(1:NX+2*sx,1,sz+1),[1 1 sz]);
mapOut(1:NX+2*sx,1,NZ+sz+1:NZ+2*sz)=repmat(mapOut(1:NX+2*sx,1,NZ+sz),[1 1 sz]);
colorOut(1:NX+2*sx,1,1:sz)=repmat(colorOut(1:NX+2*sx,1,sz+1),[1 1 sz]);
colorOut(1:NX+2*sx,1,NZ+sz+1:NZ+2*sz)=repmat(colorOut(1:NX+2*sx,1,NZ+sz),[1 1 sz]);