function visualizeLayer(objectColor,varargin)

if length(varargin)==0
    indices = [];
elseif length(varargin)==1
    indices = varargin{1};
else
    error('Too many inputs');
end

figure;
% If more than three materials are used, define which color should be
% used by the material. The first color is the color of the first defined
% material, the second that of the second material and so on.
map(1,:) = [1 0 0]; % Red
map(2,:) = [0 1 0]; % Green
map(3,:) = [0 0 1]; % Blue
map(4,:) = [1 0.62 0.40]; % Copper

% The last color is the PML
map(5,:) = [0.3 0.3 0.3]; % Gray for PML

% Get the data
data = squeeze(objectColor)';
sd=size(data);
colormap(map);
image('CData',data,'CDataMapping','direct','AlphaData',0.4);
axis xy;axis equal;axis tight;

% Modification of ticks
delTick=5;
xticks = 0:delTick:sd(2);
yticks = 0:delTick:sd(1);
set(gca,'XGrid','off','YGrid','off','XTick',xticks,'YTick',yticks,'XTickLabel',0:delTick:sd(2),'YTickLabel',0:delTick:sd(1))
% Draw lines to show grids for each cell. Since the each array element is associated
% with integer locations, I'm adding 0.5 so that boundaries are drawn
% correctly.
delTick=1;
xticks = 0.5:delTick:sd(2)+0.5;
yticks = 0.5:delTick:sd(1)+0.5;
line([xticks;xticks],[min(yticks)*ones(size(xticks));max(yticks)*ones(size(xticks))],'LineStyle','-','Color',[0 0 0]);
line([min(xticks)*ones(size(yticks));max(xticks)*ones(size(yticks))],[yticks;yticks],'LineStyle','-','Color',[0 0 0]);
xlabel('X');ylabel('Z');

if length(indices)~=0
    hold on
    plot(indices(1,:),indices(3,:),'x','markersize',10,'markerfacecolor','yellow','markeredgecolor','black'); %only getting x and z coordinates since y is always 1 for 2D layers
    hold off
end