#include "PECBrick.h"

// Constructor for PECBrick Class
PECBrick::PECBrick(){
	// Even though fields were initialized to zero, there's no harm in initializing them again.
	Ex=Ey=Ez=Hx=Hy=Hz=0.0;
};

// updateFields() to be called at the end of each time cycle
// depending on which side the PECBrick touches the cell, different fields of the touched cell are set to zero
void PECBrick::updateEFields(){
	PECBrick::updateBothFields();
}

void PECBrick::updateHFields(){
	PECBrick::updateBothFields();
}

void PECBrick::updateBothFields(){
	if (cellFrontX != 0) {
		cellFrontX->Ez = 0.0;
		cellFrontX->Ey = 0.0;
		cellFrontX->Hx = 0.0;
	};
	if (cellFrontY != 0) {
		cellFrontY->Ez = 0.0;
		cellFrontY->Ex = 0.0;
		cellFrontY->Hy = 0.0;
	};
	if (cellFrontZ != 0) {
		cellFrontZ->Ex = 0.0;
		cellFrontZ->Ey = 0.0;
		cellFrontZ->Hz = 0.0;
	};
	if (cellBackX != 0) {
		cellBackX->Ex = 0.0;
		cellBackX->Ey = 0.0;
		cellBackX->Ez = 0.0;
		cellBackX->Hx = 0.0;
		cellBackX->Hy = 0.0;
		cellBackX->Hz = 0.0;
	};
	if (cellBackY != 0) {
		cellBackY->Ex = 0.0;
		cellBackY->Ey = 0.0;
		cellBackY->Ez = 0.0;
		cellBackY->Hx = 0.0;
		cellBackY->Hy = 0.0;
		cellBackY->Hz = 0.0;
	};
	if (cellBackZ != 0) {
		cellBackZ->Ex = 0.0;
		cellBackZ->Ey = 0.0;
		cellBackZ->Ez = 0.0;
		cellBackZ->Hx = 0.0;
		cellBackZ->Hy = 0.0;
		cellBackZ->Hz = 0.0;

	};

};

// PECBrick should only have one neighbour set


void PECBrick::checkNeighbours(int i){
	int numNeighbours = 0;
	
	if (cellBackX != 0)
		numNeighbours++;
	if (cellBackY != 0)
		numNeighbours++;
	if (cellBackZ != 0)
		numNeighbours++;
	if (cellFrontX != 0)
		numNeighbours++;
	if (cellFrontY != 0)
		numNeighbours++;
	if (cellFrontZ != 0)
		numNeighbours++;
	if (numNeighbours != 1){
		printf("Neighbour Problem at PECBrick (%d). Exiting...\n",i);		
		exit(EXIT_FAILURE);
	}

};