#ifndef PECBrickGUARD
#define PECBrickGUARD

#include "Cell.h"

// PECBrick Class is used to terminate the computation domain. It implements a perfect electric conductor (PEC)
// termination. The cell updates should first be done in the interior of the computational domain, then the
// updateFields() method of the PECBrick objects should be called to implement the correct boundary conditions.

class PECBrick: public Cell{
public:
	// Constructor method
	PECBrick();
	// Field update to implement the outer boundary conditions
	void updateEFields();
	void updateHFields();
	void updateBothFields();
	// Reimplemented checkNeighbours() method
	void checkNeighbours(int i);
};

#endif