#ifndef SourcableGUARD
#define SourcableGUARD

// This simple abstract class forces a class to act as a source as well
struct Sourcable{

	// In order to implement the total field / scattered field (TF/SF) formalism, equivalent current sources
	// should be added on the surface of the TF/SF boundary. The functions below are used to add the current
	// sources
	virtual void addJx(double Jx) = 0;
	virtual void addJy(double Jy) = 0;
	virtual void addJz(double Jz) = 0;
	virtual void addMx(double Mx) = 0;
	virtual void addMy(double My) = 0;
	virtual void addMz(double Mz) = 0;
};

#endif