#ifndef TEMBrickGUARD
#define TEMBrickGUARD

#include "Cell.h"

// For string comparison
#include <string.h>


// TEMBrick Class is used to do 2D FDTD simulations. It is designed to terminate a 1 cell thick simulation
// domain so that the simulation is that of a 2D TE/TM case. The termination should be in the plus or minus y
// direction, i.e. the 2D simulation is in x-z plane.

// Note that definition of TE is that (Ey, Hx, Hz) fields exist. For TM (Hy, Ex, Ez) exists. All other
// components are zero.

class TEMBrick: public Cell{
public:
	bool isTE; // Determines whether the termination type is TE or TM.

	// Constructor method
	TEMBrick(const char* type);

	// Field update to implement the outer boundary conditions
	void updateEFields();
	void updateHFields();
	void updateBothFields();
	// Reimplemented checkNeighbours() method
	void checkNeighbours(int i);
};

#endif