#ifndef World2DGUARD
#define World2DGUARD

#include "World3D.h"


// World2D is used to do 2D FDTD simulations. It is derived from World3D. It's a special type of
// World3D, one with NY=1.
class World2D:public World3D{

public:
	// Whether the simulation is TE or TM
	bool isTE;

	// Constructor functions
	World2D(const char *file, const char *varName,const char *outputFile=0);
	
	// Adds the termination bricks for TE/TM simulation
	void addBoundaryBricks();

	// Adds the termination bricks for TE/TM simulation such that x=min(x) side sees
	// x=max(x) side as its neighbour
	void addPeriodicBoundaryBricks();

	// sets TF Source World2D
	void setSourceWorld(World2D *source,int xmin,int xmax,int zmin,int zmax, int x0, int z0);

	// Sources the E and H fields with current densities to teleport fields from 2D->2D
	void TFSFsourceE();
	void TFSFsourceH();
	
};


#endif